package com.zy.omp.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.omp.mapper.DeviceInfoStateMapper;
import com.zy.omp.model.DeviceInfoState;
import com.zy.omp.pojo.vo.WxLatestDeviceState;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设备位置信息相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class DeviceInfoStateService extends ServiceImpl<DeviceInfoStateMapper, DeviceInfoState> {

    /**
     * 通过用户openId 查询该用户的设备集合
     *
     * @param openId 用户openId
     */
    public WxLatestDeviceState getLatestState(String openId) {
        //用户设备列表
        List<WxLatestDeviceState> devices = baseMapper.listByUserId(openId);
        if (devices != null && !devices.isEmpty()) {
            return devices.get(0);
        }
        return null;
    }
}
